Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.hql.internal.ast.tree
Interface BinaryOperatorNode

All Superinterfaces:
  OperatorNode

All Known Implementing Classes:
  BinaryArithmeticOperatorNode, BinaryLogicOperatorNode, InLogicOperatorNode

    public interface BinaryOperatorNode

extends OperatorNode

Contract for nodes representing binary operators.

Method Summary
`Node` | `getLeftHandOperand()` Retrieves the left-hand operand of the operator.
`Node` | `getRightHandOperand()` Retrieves the right-hand operand of the operator.

Methods inherited from interface org.hibernate.hql.internal.ast.tree.OperatorNode
`getDataType, initialize`

Method Detail

### getLeftHandOperand

    Node getLeftHandOperand()

  Retrieves the left-hand operand of the operator.

  Returns:
    The left-hand operand

### getRightHandOperand

    Node getRightHandOperand()

  Retrieves the right-hand operand of the operator.

  Returns:
    The right-hand operand

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2012 Red Hat, Inc. All Rights Reserved.